Skip to main content
GET
/
v1
/
wallets
/
{wallet_id}
/
earn
/
ethereum
/
incentive
/
claim
Get incentive rewards
curl --request GET \
  --url https://api.privy.io/v1/wallets/{wallet_id}/earn/ethereum/incentive/claim \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'privy-app-id: <privy-app-id>'
HttpResponse<String> response = Unirest.get("https://api.privy.io/v1/wallets/{wallet_id}/earn/ethereum/incentive/claim")
  .header("privy-app-id", "<privy-app-id>")
  .header("Authorization", "Basic <encoded-value>")
  .asString();
const options = {
  method: 'GET',
  headers: {'privy-app-id': '<privy-app-id>', Authorization: 'Basic <encoded-value>'}
};

fetch('https://api.privy.io/v1/wallets/{wallet_id}/earn/ethereum/incentive/claim', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.privy.io/v1/wallets/{wallet_id}/earn/ethereum/incentive/claim",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Basic <encoded-value>",
    "privy-app-id: <privy-app-id>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.privy.io/v1/wallets/{wallet_id}/earn/ethereum/incentive/claim"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("privy-app-id", "<privy-app-id>")
	req.Header.Add("Authorization", "Basic <encoded-value>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(string(body))

}
{
  "rewards": [
    {
      "token_address": "0x0000000000000000000000000000000000000000",
      "token_symbol": "MORPHO",
      "token_decimals": 18,
      "amount_claimed": "1000000000000000000",
      "amount_unclaimed": "500000000000000000"
    }
  ]
}

Authorizations

Authorization
string
header
required

Basic Auth header with your app ID as the username and your app secret as the password.

Headers

privy-app-id
string
required

ID of your Privy app.

Path Parameters

wallet_id
string
required

ID of the wallet.

Query Parameters

chain
string
required

Chain name to fetch rewards for (e.g. "base", "ethereum").

Response

200 - application/json

Incentive rewards retrieved successfully.

All incentive rewards for a wallet, with claimed and unclaimed amounts per token.

rewards
EarnIncentiveRewardEntry · object[]
required

Reward tokens with their claimed and unclaimed amounts.